#ifndef OPERATIONLOG_H
#define OPERATIONLOG_H

#include <QStackedWidget>
#include <QTableWidget>
#include "../common/utils.h"

class OperationLog : public QStackedWidget
{
    Q_OBJECT
public:
    enum Column_Index {
        Backup_Name = 0,
        UUID,
        Operation,
        Operation_Time,
    };
    explicit OperationLog(QWidget* parent = nullptr);
    virtual ~OperationLog();

private:
    void initFirstWidget();
    void initOperationLogs(const QList<BackupWrapper>& list);
    void setItem(int row, int column, const QString& text, int alignFlag = Qt::AlignLeft | Qt::AlignVCenter);
    QString castTypeToString(int type);

    QTableWidget *m_tableWidget;
};

#endif // OPERATIONLOG_H
